%define name	httptunnel
%define version	3.3
%define release	7mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Creates bidirectional virtual data connections tunneled through HTTP.
License:	GPL
Source0:	ftp://ftp.nocrew.org/pub/nocrew/unix/%{name}-%{version}.tar.bz2
Source1:	hts.xinetd.bz2
Source2:	hts.init.bz2
Source3:	hts.sysconfig.bz2
URL:		http://www.nocrew.org/software/httptunnel.html
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-root
PreReq:		rpm-helper
Requires:	xinetd

%description
httptunnel creates a bidirectional virtual data path tunneled in HTTP
requests. The HTTP requests can be sent via an HTTP proxy if so desired. 
This can be useful for users behind restrictive firewalls. If WWW access
is allowed through a HTTP proxy, it's possible to use httptunnel and, say,
telnet or PPP to connect to a computer outside the firewall. 

httptunnel is written and maintained by Lars Brinkhoff. See the file
AUTHORS for more information about contributors to this package. 

%prep
%setup -q
bzcat %{SOURCE1} > xinetd
bzcat %{SOURCE2} > init
bzcat %{SOURCE3} > sysconfig

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m 644 xinetd -D $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/hts
install -m 755 init -D $RPM_BUILD_ROOT%{_initrddir}/hts
install -m 644 sysconfig -D $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/hts

%post
%_post_service hts

%preun
%_preun_service hts

%postun
if [ "$1" -ge "1" ]; then
	%{_initrddir}/hts condrestart >/dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog DISCLAIMER FAQ HACKING INSTALL NEWS README TODO 
%config(noreplace) %{_sysconfdir}/xinetd.d/hts
%config(noreplace) %{_initrddir}/hts
%config(noreplace) %{_sysconfdir}/sysconfig/hts
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.3-7mdk 
- rpmbuildupdate aware

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.3-6mdk
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- macroize

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-5mdk
- prereq spec-helper (really)

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-4mdk
- prereq spec-helper

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-3mdk
- rebuild
- new rpm macros

* Fri Jul 19 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-2mdk
- fixed xinetd directory name typo

* Thu Jul 18 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.3-1mdk
- first mdk release, based on MacGyver's work <macgyver@tos.net>
